import HashMap from '@ohos.util.HashMap';
import web_webview from '@ohos.web.webview';
import resourceManager from '@ohos.resourceManager';
export interface CaptchaViewController {
    init(appId: string): void;
    initConfig(config: HashMap<string, any> | object): void;
    initTokenProvider(provider: (tokenConfig: HashMap<string, string>) => Promise<string>): void;
    startToLoad(listener: (event: string, args: HashMap<string, any>) => void, ...events: string[]): void;
}
export declare class CaptchaViewControllerImpl implements CaptchaViewController {
    webController: web_webview.WebviewController;
    htmlContent?: string;
    resMgr?: resourceManager.ResourceManager;
    sdkUIVersion: number;
    width: number;
    appId: string;
    corsBaseUrl: string;
    listener: (event: string, args: HashMap<string, any>) => void;
    events: string[];
    config: HashMap<string, any>;
    provider: (tokenConfig: HashMap<string, string>) => Promise<string>;
    constructor(version: number, width: number);
    init(appId: string): void;
    initConfig(config: HashMap<string, any> | object): void;
    initTokenProvider(d3: (tokenConfig: HashMap<string, string>) => Promise<string>): void;
    initResMgr(c3: resourceManager.ResourceManager): void;
    startToLoad(listener: (event: string, args: HashMap<string, any>) => void, ...events: string[]): void;
    callJavascript(s2: string, ...args: any[]): string;
    onEvent(event: string, args: HashMap<string, any>): void;
    handleWebPrompt(message: string): void;
    onInterceptRequest(url: string, b2: any, c2: (view: CaptchaViewController) => void): any;
    initCaptchaData(appId: string, config: HashMap<string, any>, n1: string[], o1: number, width: number): HashMap<string, any>;
    getDefJs(j1: number): string;
}
